## Class Auth_OpenID_SigningEncoder

Description

An encoder which also takes care of signing fields when required.

Located in /Auth/OpenID/Server.php (line 1476)

    Auth_OpenID_Encoder
       |
       --Auth_OpenID_SigningEncoder

Method Summary
Auth_OpenID_SigningEncoder Auth_OpenID_SigningEncoder ( &$signatory)
void encode ( &$response)
Variables

#### Inherited Variables

Inherited from Auth_OpenID_Encoder

> Auth_OpenID_Encoder::$responseFactory

Methods
Constructor Auth_OpenID_SigningEncoder (line 1478)
Auth_OpenID_SigningEncoder Auth_OpenID_SigningEncoder ( &$signatory)

- &$signatory

encode (line 1487)

Sign an Auth_OpenID_ServerResponse and return an Auth_OpenID_WebResponse.

void encode ( &$response)

- &$response

Redefinition of:

Auth_OpenID_Encoder::encode()
  Encode an Auth_OpenID_ServerResponse and return an Auth_OpenID_WebResponse.

#### Inherited Methods

Inherited From Auth_OpenID_Encoder

> Auth_OpenID_Encoder::encode()

Documentation generated on Tue, 21 Apr 2009 11:31:33 -0700 by phpDocumentor 1.3.2